stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Config.Build

Description

Build configuration

Synopsis

- buildOptsFromMonoid :: BuildOptsMonoid -> BuildOpts
- haddockOptsFromMonoid :: HaddockOptsMonoid -> HaddockOpts
- testOptsFromMonoid :: TestOptsMonoid -> TestOpts
- benchmarkOptsFromMonoid :: BenchmarkOptsMonoid -> BenchmarkOpts

# Documentation

buildOptsFromMonoid :: BuildOptsMonoid -> BuildOpts #

Interprets BuildOptsMonoid options.

haddockOptsFromMonoid :: HaddockOptsMonoid -> HaddockOpts #

testOptsFromMonoid :: TestOptsMonoid -> TestOpts #

benchmarkOptsFromMonoid :: BenchmarkOptsMonoid -> BenchmarkOpts #